[RESOLU] Changer config dans une MEP

vos questions concernant les API SolidWorks

[RESOLU] Changer config dans une MEP

Messagepar als58 » Ven 14 Oct 2011, 12:53

Bonjour à tous,

J'ai une MEP d'une pièce qui a plusieurs configurations. J'aimerai pouvoir changer la configuration de ma pièce dans ma MEP. Quelqu'un a une idée pour choisir la config de ma pièce?

Merci d'avance!
Dernière édition par als58 le Mer 19 Oct 2011, 15:36, édité 2 fois.
als58
Padawan SolidWorks
 
Messages: 50
Inscription: Jeu 27 Mai 2010, 12:40
Localisation: Nièvre

Messagepar als58 » Lun 17 Oct 2011, 8:45

J'ai essayer:

Dim Config As Double
Dim Chemin As String
Dim Chemin_Enr As String

Sub main()

Set swApp = Application.SldWorks
Set Part = swApp.ActiveDoc

Chemin = "O:\Plans"
Config = 7380030000


Chemin_Enr = Chemin + CStr(Config)

Debut:

Config = Config + 1

boolstatus = Part.ActivateView("Vue de mise en plan1")
boolstatus = Part.Extension.SelectByID2("Vue de mise en plan1", "DRAWINGVIEW", 0, 0, 0, False, 0, Nothing, 0)
boolstatus = Part.ChangeRefConfigurationOfFlatPatternView("O:\Couvercle.SLDPRT", Config)
Part.EditRebuild
Part.ClearSelection2 True

longstatus = Part.SaveAs3("C:\Plan.PDF", 0, 0)

GoTo Debut

End Sub

Mais la ligne ChangeRefConfigurationOfFlatPatternView me crée une sous config, je n'arrrive pas à trouver la commande qui me serait utile.

Merci d'avance.
als58
Padawan SolidWorks
 
Messages: 50
Inscription: Jeu 27 Mai 2010, 12:40
Localisation: Nièvre

Messagepar als58 » Mer 19 Oct 2011, 15:35

Ah j'ai trouvé!!! :)

Voila ce que j'ai fait si certains sont intéressés:

Config = Config + 1
Chemin_Enr = Chemin + CStr(Config)

Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
Set swDraw = swModel
Set swView = swDraw.GetFirstView
Set swView = swView.GetNextView

swView.ReferencedConfiguration = CStr(Config)

swModel.EditRebuild3

longstatus = swModel.SaveAs3(Chemin_Enr + ".PDF", 0, 0)

swModel.ClearSelection2 True
als58
Padawan SolidWorks
 
Messages: 50
Inscription: Jeu 27 Mai 2010, 12:40
Localisation: Nièvre

Messagepar Chico » Mer 19 Oct 2011, 17:08

Salut,

Merci de nous avoir transmis la solution, d'autant plus que nous ne t'avons été d'aucune aide... :oops:

Merci :wink:
Il vaut mieux poser une question et risquer d'avoir l'air idiot
une journée que de se taire et d'être bête toute sa vie.

8wd a dit : LA FONCTION RECHERCHE EST TON AMIE
http://www.logiciel-cao.com
Avatar de l’utilisateur
Chico
Esprit Jedi Solidworks
 
Messages: 3120
Inscription: Mer 12 Mar 2008, 19:16
Localisation: Mauricie (Québec) ------SW 2006 SP0.0

Messagepar als58 » Jeu 20 Oct 2011, 17:13

C'est pour les fois où vous m'avez bien aidé!! ;)
als58
Padawan SolidWorks
 
Messages: 50
Inscription: Jeu 27 Mai 2010, 12:40
Localisation: Nièvre


Retourner vers Questions générales sur les API

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 5 invités

banniere